Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ka2ddo.yaac.ax25
Enum StationState.SpecialState

    java.lang.Object
      java.lang.Enum<StationState.SpecialState>
          org.ka2ddo.yaac.ax25.StationState.SpecialState

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StationState.SpecialState>

Enclosing class:
  StationState

    public static enum StationState.SpecialState

extends java.lang.Enum<StationState.SpecialState>

This enumeration identifies special conditions of a monitored station or object that color a background circle behind the icon for the station.

Enum Constant Summary
`DEADRECKONED` The station was moving the last time we received a position report and has not sent an updated position report in a while, such that the station is plotted at a deadreckoned position based on the last course and speed, rather than at the last reported position.
`EMERGENCY` This station has reported an emergency.
`FIXED` The station is remaining in a single location.
`MOVING` The station is moving to a different location.
`OLD` This station's data has not been updated for more than 80 minutes.
`OTHER_OBJ` This object or item is managed by some other APRS station.
`OWN_OBJ` This object or item is managed by the local YAAC station instance.

Method Summary
`static StationState.SpecialState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StationState.SpecialState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FIXED

    public static final StationState.SpecialState FIXED

  The station is remaining in a single location.

### MOVING

    public static final StationState.SpecialState MOVING

  The station is moving to a different location.

### DEADRECKONED

    public static final StationState.SpecialState DEADRECKONED

  The station was moving the last time we received a position report and has not sent an updated position report in a while, such that the station is plotted at a deadreckoned position based on the last course and speed, rather than at the last reported position.

### OLD

    public static final StationState.SpecialState OLD

  This station's data has not been updated for more than 80 minutes.

### EMERGENCY

    public static final StationState.SpecialState EMERGENCY

  This station has reported an emergency.

### OWN_OBJ

    public static final StationState.SpecialState OWN_OBJ

  This object or item is managed by the local YAAC station instance.

### OTHER_OBJ

    public static final StationState.SpecialState OTHER_OBJ

  This object or item is managed by some other APRS station.

Method Detail

### values

    public static StationState.SpecialState[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StationState.SpecialState c : StationState.SpecialState.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StationState.SpecialState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD